set  sc /
$if set sc1 %sc1%
$if set sc2 %sc2%
$if set sc3 %sc3%
$if set sc4 %sc4%
$if set sc5 %sc5%
$if set sc6 %sc6%
/;

set	r Regions /
	USA	United States
	CAN	Canada
	EUR	Europe
	JPN	Japan
	OOE	Other OECD
	FSU	Former Soviet Union
	CEA	Central European Associates
	CHN	China (including Hong Kong + Taiwan)
	IND	India
	BRA	Brazil
	ASI	Other Asia
	MPC	Mexico + OPEC 
	ROW	Rest of world /;

parameter	cpct(r,sc)	Consumption impact (%);

parameter	cpct_sc(r)	Consumption impacts in scenario;

$if set sc1 execute_load '%sc1%.gdx', cpct_sc=cpct; cpct(r,"%sc1%") = cpct_sc(r);
$if set sc2 execute_load '%sc2%.gdx', cpct_sc=cpct; cpct(r,"%sc2%") = cpct_sc(r);
$if set sc3 execute_load '%sc3%.gdx', cpct_sc=cpct; cpct(r,"%sc3%") = cpct_sc(r);
$if set sc4 execute_load '%sc4%.gdx', cpct_sc=cpct; cpct(r,"%sc4%") = cpct_sc(r);
$if set sc5 execute_load '%sc5%.gdx', cpct_sc=cpct; cpct(r,"%sc5%") = cpct_sc(r);
$if set sc6 execute_load '%sc6%.gdx', cpct_sc=cpct; cpct(r,"%sc6%") = cpct_sc(r);

option cpct:1;
display cpct;
